<?php  require_once('Connections/conn.php'); ?>
<?php session_start();

  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="cargar_corte4.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="3" && $tipo_usuario!="5" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="cargar_corte4.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		exit;
  }  
  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

 // Captura las variables que vienen de carga.php o de registrar_nota.php.
  $profesor = $_GET["profesor"];
  $periodo  = $_GET["periodo"];
  $seccion  = $_GET["seccion"];
  $sede     = $_GET["sede"];
  $materia  = $_GET["materia"];
  $carrera  = $_GET["carrera"];
  $turno  = $_GET["turno"];
  

// $conn=connect();  
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia, nivel, pensum, id_mencion,semestre FROM materias WHERE id_materia='$materia' and id_carrera='$carrera'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);
$nivel  = $row_rs_materias["nivel"];
$pensum  = $row_rs_materias["pensum"];
$mencion  = $row_rs_materias["id_mencion"];
$semestre  = $row_rs_materias["semestre"];


$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);
$nombre_docente=$row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres'];

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo, tipo FROM periodos WHERE id_periodo='$periodo'";
$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
$row_periodo = mysql_fetch_assoc($rs_periodo);
$totalRows_periodo = mysql_num_rows($rs_periodo);
$id_periodo=$row_periodo['codigo']; 

$query_turnos = "SELECT turno FROM turnos WHERE codigo='$turno'";
$rs_turnos = mysql_query($query_turnos, $conn) or die(mysql_error());
$row_turnos = mysql_fetch_assoc($rs_turnos);
$totalRows_turnos = mysql_num_rows($rs_turnos);
$nombre_turno=$row_turnos['turno']; 

// Determina las ponderaciones de la materia.
$query_pondera = "SELECT pondera13,pondera14,pondera15,pondera16 FROM ponderaciones WHERE sede='$sede' and lapso='$periodo' and programa='$carrera' and pensum='$pensum' and nivel='$nivel' and mencion='$mencion' and seccion='$seccion' and turno='$turno' and semestre='$semestre' and materia='$materia' and id_docente='$profesor'";
$rs_pondera = mysql_query($query_pondera, $conn) or die(mysql_error());
$row_pondera = mysql_fetch_assoc($rs_pondera);
$totalRows_pondera = mysql_num_rows($rs_pondera);
$pondera13=$row_pondera["pondera13"];
$pondera14=$row_pondera["pondera14"];
$pondera15=$row_pondera["pondera15"];
$pondera16=$row_pondera["pondera16"];
?>

<html>
<head>
<title>sadce -- carga de notas</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .hr1 {
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Registro de Calificaciones (Corte 4)</h2></td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera.':'.$row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;&nbsp;<?php echo $materia.':'.$row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEDE:</b> <?php echo $row_sede['nombre_sede']; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEMESTRE:</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SECCI&Oacute;N:</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>TURNO:</b> <?php echo $nombre_turno; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>LAPSO:</b> <?php echo $row_periodo['codigo'].' ('.$row_periodo['tipo'].')'; ?></td>
</tr>



</table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];

  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
 
  switch ($sql) {
    
    case "update":
      sql_update();
      break;
   
	  }

  switch ($a) {
    case "view":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break;
	 case "edit":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break; 
    default:
      select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<hr size="1" noshade>

</body>
</html>

<?php function select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
  {
  
  global $conn;
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $nombre_docente;
  global $pondera13;
  global $pondera14;
  global $pondera15;
  global $pondera16;

  //Busco el nombre de la materia

 
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" width="100%">
<tr>
<td colspan="2"><b>DOCENTE:</b>&nbsp;&nbsp;<?php echo $nombre_docente; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>ESTUDIANTES INSCRITOS:</b>&nbsp;&nbsp; <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>
<form name="editar_nota" id="editar_nota">

<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<td align="center" class="hr" rowspan="2">Cargar</td>
<td align="center" class="hr" rowspan="2">N°</td>
<td align="center" class="hr" rowspan="2">C&eacute;dula</td>
<td align="center" class="hr" rowspan="2">Apellidos</td>
<td align="center" class="hr" rowspan="2">Nombres</td>
<td align="center" class="hr">Eval.<br>13</td>
<td align="center" class="hr">Eval.<br>14</td>
<td align="center" class="hr">Eval.<br>15</td>
<td align="center" class="hr">Eval.<br>16</td>
<td align="center" class="hr">Corte 4</td>
<td align="center" class="hr">V.A.</td>
</tr>
<tr>

<td align="center" class="hr"><?php echo $pondera13 ?>%</td>
<td align="center" class="hr"><?php echo $pondera14 ?>%</td>
<td align="center" class="hr"><?php echo $pondera15 ?>%</td>
<td align="center" class="hr"><?php echo $pondera16 ?>%</td>
<td align="center" class="hr">25%</td>
<td align="center" class="hr">100%</td>

</tr>
<?php
  $nro=1;
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	$id_alumno=$row["id_alumno"]
?>
<tr>
<td align="center" class="<?php echo $style ?>"><a href="cargar_corte4.php?a=edit&recid=<?php echo $i ?>&id_alumno=<?php echo $id_alumno ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>"><img src="imagenes/edit.gif" border="0" ></a></td>

<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($nro) ?></td>
<td align="right" class="<?php echo $style ?>"><?php echo number_format(htmlspecialchars($row["cedula"]),0, ",", ".") ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>


<?php if($row["corte_4"]<(25/2)){
?>
  <td align="right" class="hr1" ><?php echo $row["eval13"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["eval14"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["eval15"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["eval16"]; ?> </td>
  <td align="right" class="hr1" ><?php echo $row["corte_4"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["acumulado"]; ?></td>
 <?php }
 else {
 ?> 
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval13"]; ?></td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval14"]; ?></td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval15"]; ?></td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval16"]; ?> </td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["corte_4"]; ?></td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["acumulado"]; ?></td>
 <?php
 }
 ?>
</tr>

<?php
  $nro++;
  }
  mysql_free_result($res);
?>
</table>
</form>

<br>

<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $pondera13;
  global $pondera14;
  global $pondera15;
  global $pondera16;
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="2"width="80%">
<tr>
<td class="hr">C&eacute;dula&nbsp;</td>
<td class="dr"><input name="cedula"  type="text" value="<?php echo number_format(str_replace('"', '&quot;', trim($row["cedula"])),0, ",", ".") ?>" size="10" maxlength="10" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estudiante")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])).', '.str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="60" maxlength="60" readonly="true"></td>
</tr>
<tr>
<td class="hr">Evaluaci&oacute;n 13&nbsp;</td>
<?php 
 if($row["eval13"]>0){
    ?>
    <td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval13(this.value,'<?php echo $pondera13 ?>')" type="text" name="eval13" value="<?php echo str_replace('"', '&quot;', trim($row["eval13"])) ?>">&nbsp;/&nbsp;<?php echo $pondera13; ?>&nbsp;%</td>
<?php
}
else{
?>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval13(this.value,'<?php echo $pondera13 ?>')" type="text" name="eval13">&nbsp;/&nbsp;<?php echo $pondera13; ?>&nbsp;%</td>
<?php
}
?>	
</tr>
<tr>
<td class="hr">Evaluaci&oacute;n 14&nbsp;</td>
<?php 
 if($row["eval14"]>0){
    ?>
    <td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval14(this.value,'<?php echo $pondera14 ?>')" type="text" name="eval14" value="<?php echo str_replace('"', '&quot;', trim($row["eval14"])) ?>">&nbsp;/&nbsp;<?php echo $pondera14; ?>&nbsp;%</td>
<?php
}
else{
?>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval14(this.value,'<?php echo $pondera14 ?>')" type="text" name="eval14" value="">&nbsp;/&nbsp;<?php echo $pondera14; ?>&nbsp;%</td>
<?php
}
?>	
</tr>
<tr>
<td class="hr">Evaluaci&oacute;n 15&nbsp;</td>
<?php 
 if($row["eval15"]>0){
    ?>
    <td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval15(this.value,'<?php echo $pondera15 ?>')" type="text" name="eval15" value="<?php echo str_replace('"', '&quot;', trim($row["eval15"])) ?>">&nbsp;/&nbsp;<?php echo $pondera15; ?>&nbsp;%</td>
<?php
}
else{
?>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval15(this.value,'<?php echo $pondera15 ?>')" type="text" name="eval15" value="">&nbsp;/&nbsp;<?php echo $pondera15; ?>&nbsp;%</td>
<?php
}
?>	
</tr>
<tr>
<td class="hr">Evaluaci&oacute;n 16&nbsp;</td>
<?php 
 if($row["eval16"]>0){
    ?>
    <td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval16(this.value,'<?php echo $pondera16 ?>')" type="text" name="eval16" id="eval16" value="<?php echo str_replace('"', '&quot;', trim($row["eval16"])) ?>">&nbsp;/&nbsp;<?php echo $pondera16; ?>&nbsp;%</td>
<?php
}
else{
?>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2"  onBlur="validar_eval16(this.value,'<?php echo $pondera16 ?>')" type="text" name="eval16"  id="eval16" value="">&nbsp;/&nbsp;<?php echo $pondera16; ?>&nbsp;%</td>
<?php
}
?>	
</tr>

</table>
<iframe name="frame1" id="frame1" with="0" height="0" frameborder="0" ></iframe>
<?php } ?>

<?php function showroweditor1($row, $iseditmode)
  {
  global $conn;
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr"><input name="cedula"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" size="10" maxlength="10" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>" size="40" maxlength="40" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input name="nombres"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="40" maxlength="40" readonly="true"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Calificación")."&nbsp;" ?></td>
<td class="dr">
<input name="nota" id="nota" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nota"])) ?>" onKeyUp="mascara(this,'.',patron1,true)" maxlength="4" size="4" >
</td>
</tr>
</table>
<script type="text/javascript">
	document.editarNota.nota.focus();
</script>
<?php } ?>

<?php function viewrec($recid)
{ 
  global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $turno;
  global $pondera13;
  global $pondera14;
  global $pondera15;
  global $pondera16;

  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
  if($recid==$count-1){
     $recid=0;
	 }
   else {
     $recid=$recid+1;
	 }	 
?>
<br>
<form name="editar_nota" id="editar_nota" enctype="multipart/form-data" action="cargar_corte4.php?a=edit&recid=<?php echo $recid ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&turno=<?php echo $turno ?>" method="post" onSubmit="return validar_datos('<?php echo $pondera13 ?>','<?php echo $pondera14 ?>','<?php echo $pondera15 ?>','<?php echo $pondera16 ?>')">

<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xapellidos" value="<?php echo $row["apellidos"] ?>">
<input type="hidden" name="xnombres" value="<?php echo $row["nombres"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xid_seccion" value="<?php echo $row["id_seccion"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xeval13" value="<?php echo $row["eval13"] ?>">
<input type="hidden" name="xeval14" value="<?php echo $row["eval14"] ?>">
<input type="hidden" name="xeval15" value="<?php echo $row["eval15"] ?>">
<input type="hidden" name="xeval16" value="<?php echo $row["eval16"] ?>">
<input type="hidden" name="xcorte4" value="<?php echo $row["corte_4"] ?>">
<input type="hidden" name="xacumulado" value="<?php echo $row["acumulado"] ?>">
<input type="hidden" name="xrecuperacion" value="<?php echo $row["recuperacion"] ?>">
<input type="hidden" name="xcorte_sustituido" value="<?php echo $row["corte_sustituido"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $materia ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $carrera ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>

<?php
  mysql_free_result($res);
} ?>

<?php function showrecnav($a, $recid, $count)
{
 global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $turno;
  
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="cargar_corte4.php?periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="cargar_corte4.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="cargar_corte4.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function connect()
{
 $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("enaph_siace");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "Select inscripciones.id,inscripciones.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, inscripciones.id_periodo, inscripciones.id_carrera, inscripciones.id_materia, inscripciones.id_seccion,  inscripciones.eval1,  inscripciones.eval2,  inscripciones.eval3,  inscripciones.eval4,  inscripciones.eval5,  inscripciones.eval6,  inscripciones.eval7,  inscripciones.eval8,  inscripciones.eval13,  inscripciones.eval14,  inscripciones.eval15,  inscripciones.eval16,  inscripciones.eval13,  inscripciones.eval14,  inscripciones.eval15,   inscripciones.eval16, inscripciones.corte_1, inscripciones.corte_2, inscripciones.corte_4,  inscripciones.corte_4, inscripciones.acumulado, inscripciones.sede, inscripciones.fecha, inscripciones.id_docente, inscripciones.recuperacion, inscripciones.corte_sustituido From alumnos Inner Join inscripciones ON alumnos.id_alumno = inscripciones.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and inscripciones.sede='$sede' and id_materia='$materia' and id_carrera='$carrera' and turno='$turno' ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM alumnos Inner Join inscripciones ON alumnos.id_alumno = inscripciones.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and inscripciones.sede='$sede' and id_materia='$materia' and id_carrera='$carrera'  and turno='$turno' ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
} 


function sql_update()
{
  global $conn;
  global $pondera13;
  global $pondera14;
  global $pondera15;
  global $pondera16;
  
  global $cedula_usuario;
  global $username;
  
  global $_POST;
  
  // Tomo los datos del estudiante al que se le hacen las nodifdificaciones.
  $cedula_estudiante=@$_POST["xcedula"];
  $nombres_estudiante=@$_POST["xnombres"];
  $apellidos_estudiante=@$_POST["xapellidos"];
  
  // Unidad Curricular a la que se le hacen las modificaciones.
  $unidad_curricular=@$_POST["xid_materia"];
  
  // Toma los valores que tenía las evaluaciones del corte antes de la modificacion.
  $eval13_old=@$_POST["xeval13"];
  $eval14_old=@$_POST["xeval14"];
  $eval15_old=@$_POST["xeval15"];
  $eval16_old=@$_POST["xeval16"];
  $corte4_old=@$_POST["xcorte4"];
  $acumulado_old=@$_POST["xacumulado"];
  
  // Toma los valores modificados de las evaluaciones
  $eval13=@$_POST["eval13"];
  $eval14=@$_POST["eval14"];
  $eval15=@$_POST["eval15"];
  $eval16=@$_POST["eval16"];
  
  $recuperacion=@$_POST["xrecuperacion"];
  $corte_sustituido=@$_POST["xcorte_sustituido"];
  
  
  if(strlen($eval13)==0) $eval13=0;
  if(strlen($eval14)==0) $eval14=0;
  if(strlen($eval15)==0) $eval15=0;
  if(strlen($eval16)==0) $eval16=0;
 
  $corte4=$eval13+$eval14+$eval15+$eval16;


  $sql = "update `inscripciones` set `eval13`=" .sqlvalue(@$_POST["eval13"], false).", `eval14`=" .sqlvalue(@$_POST["eval14"], false).", `eval15`=" .sqlvalue(@$_POST["eval15"], false).", `eval16`='$eval16', `corte_4`='$corte4' where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
  
// Actualiza el acumulado total del corte 1 obtenida por el estudiante.
	$sql = "update `inscripciones` set acumulado=(acumulado-'$corte4_old')+corte_4  where " .primarykeycondition();
    mysql_query($sql, $conn) or die(mysql_error());
	
	// Toma el corte 1 actualizado para devolverlo al formulario.
	$query_acumulado = "SELECT acumulado FROM inscripciones where " .primarykeycondition();
	
    $rst_acumulado = mysql_query($query_acumulado, $conn) or die(mysql_error());
    $row_acumulado = mysql_fetch_assoc($rst_acumulado);
    $acumulado=$row_acumulado['acumulado'];
	
    $acumulado1Dec=round($acumulado,1);
    $acumuladoInt=round($acumulado1Dec);
    $definitiva=1;
		if($acumuladoInt>=1 && $acumuladoInt<=5){
		   $definitiva=1;
		} elseif ($acumuladoInt>=6 && $acumuladoInt<=11){
		   $definitiva=2;
		} elseif ($acumuladoInt>=12 && $acumuladoInt<=17){
		   $definitiva=3;
		} elseif ($acumuladoInt>=18 && $acumuladoInt<=23){
		   $definitiva=4;
		} elseif ($acumuladoInt>=24 && $acumuladoInt<=29){
		   $definitiva=5;
		} elseif ($acumuladoInt>=30 && $acumuladoInt<=34){
		   $definitiva=6;
		} elseif ($acumuladoInt>=35 && $acumuladoInt<=39){
		   $definitiva=7;
		} elseif ($acumuladoInt>=40 && $acumuladoInt<=44){
		   $definitiva=8;
		} elseif ($acumuladoInt>=45 && $acumuladoInt<=49){
		   $definitiva=9;
		} elseif ($acumuladoInt>=50 && $acumuladoInt<=54){
		   $definitiva=10;
		} elseif ($acumuladoInt>=55 && $acumuladoInt<=59){
		   $definitiva=11;
		} elseif ($acumuladoInt>=60 && $acumuladoInt<=64){
		   $definitiva=12;
		} elseif ($acumuladoInt>=65 && $acumuladoInt<=69){
		   $definitiva=13;
		} elseif ($acumuladoInt>=70 && $acumuladoInt<=74){
		   $definitiva=14;
		} elseif ($acumuladoInt>=75 && $acumuladoInt<=79){
		   $definitiva=15;
		} elseif ($acumuladoInt>=80 && $acumuladoInt<=84){
		   $definitiva=16;
		} elseif ($acumuladoInt>=85 && $acumuladoInt<=88){
		   $definitiva=17;
		} elseif ($acumuladoInt>=89 && $acumuladoInt<=92){
		   $definitiva=18;
		} elseif ($acumuladoInt>=93 && $acumuladoInt<=96){
		   $definitiva=19;
		} elseif ($acumuladoInt>=97 && $acumuladoInt<=100){
		   $definitiva=20;
		}
 
 $sql = "update `inscripciones` set nota='$definitiva'  where " .primarykeycondition();
   mysql_query($sql, $conn) or die(mysql_error());
   
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Modificar Estudiante";
  $script="alumnos.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria_notas` (`fecha`,`username`, `ip`, `cedula_estudiante`, `apellidos_estudiante`, `nombres_estudiante`, `corte_modificado`, `unidad_curricular`, `eval1_old`, `eval2_old`, `eval3_old`, `eval4_old`, `corte_old`, `eval1_new`, `eval2_new`, `eval3_new`, `eval4_new`, `corte_new`, `acumulado_old`, `acumulado_new`) values ('$fecha', '$username', '$ip', '$cedula_estudiante', '$apellidos_estudiante', '$nombres_estudiante', '4', '$unidad_curricular', '$eval13_old', '$eval14_old', '$eval15_old', '$eval16_old', '$corte4_old','$eval13', '$eval14', '$eval15', '$eval16', '$corte4','$acumulado_old','$acumulado')";
  mysql_query($sql1, $conn) or die(mysql_error());
   return;
}


function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id`";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false);
  };
  $pk .= ")";
  return $pk;
}
?>





<?php

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}



function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
 
<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(2,2,4)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">
function validar_datos(pondera13,pondera14,pondera15,pondera16)
{


 if(parseFloat(document.editar_nota.eval13.value)>parseFloat(pondera13)){
	alert("Valor <<"+document.editar_nota.eval13.value+">> en la Evaluación 9 fuera de rango.\n El rango válido es [0.."+pondera13+"]");  
    document.editar_nota.eval13.value=""; 
    document.editar_nota.eval13.focus();
	return false;
}
 if(parseFloat(document.editar_nota.eval14.value)>parseFloat(pondera14)){
	alert("Valor <<"+document.editar_nota.eval14.value+">> en la Evaluación 10 fuera de rango.\n El rango válido es [0.."+pondera14+"]");  
    document.editar_nota.eval14.value=""; 
    document.editar_nota.eval14.focus();
	return false;
}
 if(parseFloat(document.editar_nota.eval15.value)>parseFloat(pondera15)){
	alert("Valor <<"+document.editar_nota.eval15.value+">> en la Evaluación 11 fuera de rango.\n El rango válido es [0.."+pondera15+"]");  
    document.editar_nota.eval15.value=""; 
    document.editar_nota.eval15.focus();
	return false;
}
 if(parseFloat(document.editar_nota.eval16.value)>parseFloat(pondera16)){
	alert("Valor <<"+document.editar_nota.eval16.value+">> en la Evaluación 12 fuera de rango.\n El rango válido es [0.."+pondera16+"]");  
    document.editar_nota.eval16.value=""; 
    document.editar_nota.eval16.focus();
	return false;
}
return true;
}
</script>

<script type="text/javascript">
function validar_eval13(eval13,pondera13)
{
  if((parseFloat(eval13)<0) || (parseFloat(eval13)>parseFloat(pondera13))){
      url="mensaje_eval13.php?eval13="+eval13+"&pondera13="+pondera13;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval14(eval14,pondera14)
{
  if((parseFloat(eval14)<0) || (parseFloat(eval14)>parseFloat(pondera14))){
      url="mensaje_eval14.php?eval14="+eval14+"&pondera14="+pondera14;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval15(eval15,pondera15)
{
  if((parseFloat(eval15)<0) || (parseFloat(eval15)>parseFloat(pondera15))){
      url="mensaje_eval15.php?eval15="+eval15+"&pondera15="+pondera15;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval16(eval16,pondera16)
{
  if((parseFloat(eval16)<0) || (parseFloat(eval16)>parseFloat(pondera16))){
      url="mensaje_eval16.php?eval16="+eval16+"&pondera16="+pondera16;
      frame1.location=url;
      return true;
  } 	
}
</script>




<script type="text/javascript">
function NumCheck(e, field) {
  key = e.keyCode ? e.keyCode : e.which

  // backspace
  if (key == 8) return true
  
  // 0-9
  if (key >= 48 && key <= 57) {

    if (field.value == "") return true
    
    regexp = /..[0-9]{2}$/
    return !(regexp.test(field.value))
  }

  // ,
  if (key == 46) {
  
    if (field.value == "") return false
    
    regexp = /^[0-9]+$/
    return regexp.test(field.value)
  }
  
  // other key
  return false

}

</script>




